osgDB::MapBaseSerializer Class Reference

`#include <Serializer>`

Inheritance diagram for osgDB::MapBaseSerializer:

## Public Member Functions

| MapBaseSerializer (BaseSerializer::Type keyType, unsigned int keySize, BaseSerializer::Type elementType, unsigned int elementSize)
Type | getKeyType () const
unsigned int | getKeySize () const
Type | getElementType () const
unsigned int | getElementSize () const
virtual void | clear (osg::Object &) const
virtual void | setElement (osg::Object &, void *, void *) const
virtual void * | getElement (osg::Object &, void *) const
virtual const void * | getElement (const osg::Object &, void *) const
virtual unsigned int | size (const osg::Object &) const
virtual MapIteratorObject * | createIterator (osg::Object &) const
virtual MapIteratorObject * | createReverseIterator (osg::Object &) const
Public Member Functions inherited from osgDB::BaseSerializer
| BaseSerializer (int usage)
virtual bool | set (osg::Object &, void *)
virtual bool | get (const osg::Object &, void *)
virtual bool | read (InputStream &, osg::Object &)=0
virtual bool | write (OutputStream &, const osg::Object &)=0
virtual const std::string & | getName () const =0
virtual IntLookup * | getIntLookup ()
void | setUsage (int usage)
int | getUsage () const
void | setUsage (bool hasGetter, bool hasSetter)
bool | supportsReadWrite () const
bool | supportsGetSet () const
bool | supportsGet () const
bool | supportsSet () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

Type | _keyType
unsigned int | _keySize
Type | _elementType
unsigned int | _elementSize
Protected Attributes inherited from osgDB::BaseSerializer
int | _firstVersion
int | _lastVersion
int | _usage
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Public Types inherited from osgDB::BaseSerializer

enum

Type {
RW_UNDEFINED = 0 , RW_USER , RW_OBJECT , RW_IMAGE ,
RW_LIST , RW_BOOL , RW_CHAR , RW_UCHAR ,
RW_SHORT , RW_USHORT , RW_INT , RW_UINT ,
RW_FLOAT , RW_DOUBLE , RW_VEC2F , RW_VEC2D ,
RW_VEC3F , RW_VEC3D , RW_VEC4F , RW_VEC4D ,
RW_QUAT , RW_PLANE , RW_MATRIXF , RW_MATRIXD ,
RW_MATRIX , RW_GLENUM , RW_STRING , RW_ENUM ,
RW_VEC2B , RW_VEC2UB , RW_VEC2S , RW_VEC2US ,
RW_VEC2I , RW_VEC2UI , RW_VEC3B , RW_VEC3UB ,
RW_VEC3S , RW_VEC3US , RW_VEC3I , RW_VEC3UI ,
RW_VEC4B , RW_VEC4UB , RW_VEC4S , RW_VEC4US ,
RW_VEC4I , RW_VEC4UI , RW_BOUNDINGBOXF , RW_BOUNDINGBOXD ,
RW_BOUNDINGSPHEREF , RW_BOUNDINGSPHERED , RW_VECTOR , RW_MAP
}

enum | Usage { READ_WRITE_PROPERTY = 1 , GET_PROPERTY = 2 , SET_PROPERTY = 4 , GET_SET_PROPERTY = GET_PROPERTY | SET_PROPERTY }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Constructor & Destructor Documentation

## MapBaseSerializer()

osgDB::MapBaseSerializer::MapBaseSerializer | ( | BaseSerializer::Type | keyType,
|  | unsigned int | keySize,
|  | BaseSerializer::Type | elementType,
|  | unsigned int | elementSize )

inline

References _elementSize, _elementType, _keySize, _keyType, osgDB::BaseSerializer::BaseSerializer(), osgDB::BaseSerializer::GET_SET_PROPERTY, and osgDB::BaseSerializer::READ_WRITE_PROPERTY.

Referenced by osgDB::MapSerializer< C, P >::MapSerializer().

## Member Function Documentation

## clear()

virtual void osgDB::MapBaseSerializer::clear | ( | osg::Object & |  | ) | const

inline virtual

Reimplemented in osgDB::MapSerializer< C, P >.

## createIterator()

virtual MapIteratorObject * osgDB::MapBaseSerializer::createIterator | ( | osg::Object & |  | ) | const

inline virtual

Reimplemented in osgDB::MapSerializer< C, P >.

## createReverseIterator()

virtual MapIteratorObject * osgDB::MapBaseSerializer::createReverseIterator | ( | osg::Object & |  | ) | const

inline virtual

Reimplemented in osgDB::MapSerializer< C, P >.

## getElement() [1/2]

virtual const void * osgDB::MapBaseSerializer::getElement | ( | const osg::Object & | ,
|  | void * | ) const

inline virtual

Reimplemented in osgDB::MapSerializer< C, P >.

## getElement() [2/2]

virtual void * osgDB::MapBaseSerializer::getElement | ( | osg::Object & | ,
|  | void * | ) const

inline virtual

Reimplemented in osgDB::MapSerializer< C, P >.

## getElementSize()

unsigned int osgDB::MapBaseSerializer::getElementSize | ( |  | ) | const

inline

References _elementSize.

## getElementType()

Type osgDB::MapBaseSerializer::getElementType | ( |  | ) | const

inline

References _elementType.

## getKeySize()

unsigned int osgDB::MapBaseSerializer::getKeySize | ( |  | ) | const

inline

References _keySize.

## getKeyType()

Type osgDB::MapBaseSerializer::getKeyType | ( |  | ) | const

inline

References _keyType.

## setElement()

virtual void osgDB::MapBaseSerializer::setElement | ( | osg::Object & | ,
|  | void * | ,
|  | void * | ) const

inline virtual

Reimplemented in osgDB::MapSerializer< C, P >.

## size()

virtual unsigned int osgDB::MapBaseSerializer::size | ( | const osg::Object & |  | ) | const

inline virtual

Reimplemented in osgDB::MapSerializer< C, P >.

## Member Data Documentation

## _elementSize

unsigned int osgDB::MapBaseSerializer::_elementSize

protected

Referenced by osgDB::MapSerializer< C, P >::createIterator(), osgDB::MapSerializer< C, P >::createReverseIterator(), getElementSize(), and MapBaseSerializer().

## _elementType

Type osgDB::MapBaseSerializer::_elementType

protected

Referenced by osgDB::MapSerializer< C, P >::createIterator(), osgDB::MapSerializer< C, P >::createReverseIterator(), getElementType(), and MapBaseSerializer().

## _keySize

unsigned int osgDB::MapBaseSerializer::_keySize

protected

Referenced by osgDB::MapSerializer< C, P >::createIterator(), osgDB::MapSerializer< C, P >::createReverseIterator(), getKeySize(), and MapBaseSerializer().

## _keyType

Type osgDB::MapBaseSerializer::_keyType

protected

Referenced by osgDB::MapSerializer< C, P >::createIterator(), osgDB::MapSerializer< C, P >::createReverseIterator(), getKeyType(), and MapBaseSerializer().

The documentation for this class was generated from the following file:

- Serializer